Package be.vlaanderen.mercurius.insurability.schemas.v1

# Class InsurancePeriodType

java.lang.Object
be.vlaanderen.mercurius.insurability.schemas.v1.InsurancePeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class InsurancePeriodType extends Object implements Serializable
Jaar waarvoor

Java class for InsurancePeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurancePeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="CareUnitCode" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}CareUnitCodeType" minOccurs="0"/>
             <element name="InternalDepartment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}StatusType"/>
             <element name="NotInsuredReason" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}NotInsuredReasonType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsurancePeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareUnitCode()`
  Erkenningsnummer van de zorgkas waar de persoon is aangesloten
  `Instant`
  `getEndDate()`
  Einddatum van de periode
  `String`
  `getInternalDepartment()`
  Regionale zorgkas die het aanspreekpunt is van de verzekerde persoon
  `NotInsuredReasonType`
  `getNotInsuredReason()`
  Reden niet-verzekerde periode
  `Instant`
  `getStartDate()`
  Begindatum van de periode
  `StatusType`
  `getStatus()`
  Status VSB-verzekerbaarheid van de verzekerde periode (verzerkerd of niet-verzekerd)
  `void`
  `setCareUnitCode(String value)`
  Sets the value of the careUnitCode property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setInternalDepartment(String value)`
  Sets the value of the internalDepartment property.
  `void`
  `setNotInsuredReason(NotInsuredReasonType value)`
  Sets the value of the notInsuredReason property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setStatus(StatusType value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsurancePeriodType

    public InsurancePeriodType()

- ## Method Details

  - ### getStartDate

    public Instant getStartDate()
    Begindatum van de periode
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStartDate()`

  - ### getEndDate

    public Instant getEndDate()
    Einddatum van de periode
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEndDate()`

  - ### getCareUnitCode

    public String getCareUnitCode()
    Erkenningsnummer van de zorgkas waar de persoon is aangesloten
    Returns:
      possible object is `String`

  - ### setCareUnitCode

    public void setCareUnitCode(String value)
    Sets the value of the careUnitCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareUnitCode()`

  - ### getInternalDepartment

    public String getInternalDepartment()
    Regionale zorgkas die het aanspreekpunt is van de verzekerde persoon
    Returns:
      possible object is `String`

  - ### setInternalDepartment

    public void setInternalDepartment(String value)
    Sets the value of the internalDepartment property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInternalDepartment()`

  - ### getStatus

    public StatusType getStatus()
    Status VSB-verzekerbaarheid van de verzekerde periode (verzerkerd of niet-verzekerd)
    Returns:
      possible object is `StatusType`

  - ### setStatus

    public void setStatus(StatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `StatusType`
    See Also:
      - `getStatus()`

  - ### getNotInsuredReason

    public NotInsuredReasonType getNotInsuredReason()
    Reden niet-verzekerde periode
    Returns:
      possible object is `NotInsuredReasonType`

  - ### setNotInsuredReason

    public void setNotInsuredReason(NotInsuredReasonType value)
    Sets the value of the notInsuredReason property.
    Parameters:
      `value` - allowed object is `NotInsuredReasonType`
    See Also:
      - `getNotInsuredReason()`